Skip to main content
POST
Create a new shipment

Authorizations

Authorization
string
header
required

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Path Parameters

orderReference
string
required

Body

application/json
locationReference
null | string
required
externalReference
null | string
code
null | string
date
null | string<date>
shipImmediately
null | boolean

Response

Created

id
string
required
externalReference
null | string
required
destination
string
required
destinationId
string
required
type
enum<string>
required
Available options:
Customer,
Supplier
status
enum<string>
required
Available options:
Pending,
Shipped,
Cancelled
date
null | string<date>
required
code
string
required
locationId
null | string
required
loadOrderId
null | string
required
linkedToLoadOrder
boolean
required
location
object | null
required
loadOrder
object | null
required
shipped
boolean
required
shippedAt
null | string<date-time>
required
cancelledAt
null | string<date-time>
required
deletedAt
null | string<date-time>
required
createdAt
string<date-time>
required
createdBy
string
required
lastModifiedAt
string<date-time>
required
lastModifiedBy
string
required